English Update LUA

4 replies
Goto Page
To the start Previous 1 Next To the start
02.02.20 11:22:49 pm
Up
heerr_verus
BANNED
Offline Off
Update the LUA version plz.

Current:
IMG:https://i.imgur.com/X4CZxdK.png

CS2D Version:
IMG:https://i.imgur.com/spwJZEF.png
02.02.20 11:47:02 pm
Up
Starkkz
Moderator
Offline Off
The Lua 5.3 C API is not compatible with CS2D.
lol
03.02.20 11:51:37 am
Up
Cure Pikachu
User
Offline Off
Yeah, mainly because the engine CS2D is on is quite old at this point.
IMG:https://i.imgur.com/uUrye71.png
IMG:https://i.imgur.com/xpsyQRX.png
03.02.20 07:52:25 pm
Up
DC
Admin
Offline Off
Confirmed. Too troublesome. Sorry.

Do you need a specific feature of the new version? There's most likely a way to work around it with the current version.
www.UnrealSoftware.de | www.CS2D.com | www.CarnageContest.com | Use the forum & avoid PMs!
04.02.20 03:28:18 pm
Up
MikuAuahDark
User
Offline Off
Not sure what is your usecase. If you need external C modules that was compiled for Lua 5.3 then it's not possible to use external C modules in CS2D (not with some "hacks").

If you need some functions from Lua 5.3, it can be implemented in Lua 5.1/JIT.
file cs2d LuaJIT for Dedicated Server (11) JIT POWER! | Know your Lua errors! | Draw stuff at Pixelize Art --xx-- server!
To the start Previous 1 Next To the start